<?php include WGBL_VIEWS_DIR . "layout/header.php"; ?>
<div id="wgbl-body">
    <div class="wgbl-menu wgbl-menu-main">
        <div class="wgbl-menu-navigation">
            <nav class="wgbl-menu-navbar">
                <ul class="wgbl-menu-list" data-content-id="wgbl-main-menu-contents">
                    <li><a href="<?php echo add_query_arg(["sub-page" => 'dashboard'], WGBL_REPORTS_PAGE); ?>" class="<?php echo ((empty($_GET['sub-page'])) || ($_GET['sub-page'] == 'dashboard')) ? 'selected' : '' ?>"><?php esc_html_e('Dashboard', WGBL_NAME); ?></a></li>
                    <li><a href="<?php echo add_query_arg(["sub-page" => 'rules'], WGBL_REPORTS_PAGE); ?>" class="<?php echo (!empty($_GET['sub-page']) && $_GET['sub-page'] == 'rules') ? 'selected' : '' ?>"><?php esc_html_e('Rules', WGBL_NAME); ?></a></li>
                    <li><a href="<?php echo add_query_arg(["sub-page" => 'orders'], WGBL_REPORTS_PAGE); ?>" class="<?php echo (!empty($_GET['sub-page']) && $_GET['sub-page'] == 'orders') ? 'selected' : '' ?>"><?php esc_html_e('Orders', WGBL_NAME); ?></a></li>
                    <li>
                        <a href="javascript:;" class="<?php echo (!empty($_GET['sub-page']) && $_GET['sub-page'] == 'customers') ? 'selected' : '' ?>">
                            <?php esc_html_e('Customers', WGBL_NAME); ?>
                            <i class="lni lni-chevron-down"></i>
                        </a>
                        <ul class="wgbl-sub-menu">
                            <li><a href="<?php echo add_query_arg(["sub-page" => 'customers', 'sub-menu' => 'all-customers'], WGBL_REPORTS_PAGE); ?>" class="<?php echo (!empty($_GET['sub-page']) && $_GET['sub-page'] == 'customers' && !empty($_GET['sub-menu']) && $_GET['sub-menu'] == 'all-customers') ? 'selected-sub-menu' : '' ?>"><?php esc_html_e('All customers', WGBL_NAME); ?></a>
                            <li><a href="<?php echo add_query_arg(["sub-page" => 'customers', 'sub-menu' => 'used-rules-by-customer'], WGBL_REPORTS_PAGE); ?>" class="<?php echo (!empty($_GET['sub-page']) && $_GET['sub-page'] == 'customers' && !empty($_GET['sub-menu']) && $_GET['sub-menu'] == 'used-rules-by-customer') ? 'selected-sub-menu' : '' ?>"><?php esc_html_e('Used rules by customer', WGBL_NAME); ?></a>
                        </ul>
                    </li>
                    <li>
                        <a href="<?php echo add_query_arg(["sub-page" => 'products'], WGBL_REPORTS_PAGE); ?>" class="<?php echo (!empty($_GET['sub-page']) && $_GET['sub-page'] == 'products') ? 'selected' : '' ?>">
                            <?php esc_html_e('Gifts/Products', WGBL_NAME); ?>
                            <i class="lni lni-chevron-down"></i>
                        </a>
                        <ul class="wgbl-sub-menu">
                            <li><a href="<?php echo add_query_arg(["sub-page" => 'products', 'sub-menu' => 'products'], WGBL_REPORTS_PAGE) ?>" class="<?php echo (!empty($_GET['sub-page']) && $_GET['sub-page'] == 'products' && !empty($_GET['sub-menu']) && $_GET['sub-menu'] == 'products') ? 'selected-sub-menu' : '' ?>"><?php esc_html_e('Products', WGBL_NAME); ?></a>
                            <li><a href="<?php echo add_query_arg(["sub-page" => 'products', 'sub-menu' => 'gotten-gifts-by-customer'], WGBL_REPORTS_PAGE) ?>" class="<?php echo (!empty($_GET['sub-page']) && $_GET['sub-page'] == 'products' && !empty($_GET['sub-menu']) && $_GET['sub-menu'] == 'gotten-gifts-by-customer') ? 'selected-sub-menu' : '' ?>"><?php esc_html_e('Received gifts by customer', WGBL_NAME); ?></a>
                        </ul>
                    </li>
                    <?php if (empty($_GET['sub-page']) || (!empty($_GET['sub-page']) && $_GET['sub-page'] == 'dashboard')) : ?>
                        <li class="wgbl-main-date-filter">
                            <label>
                                <i class="lni lni-calendar"></i>
                                <input type="text" id="wgbl-main-date-filter" class="wgbl-reports-daterangepicker" value="" data-from="<?php echo (!empty($dashboard_date)) ? $dashboard_date : ''; ?>" data-to="<?php echo (!empty($dashboard_date)) ? date('Y/m/d', time()) : ''; ?>" placeholder="<?php esc_html_e('Date ...', WGBL_NAME); ?>" title="<?php esc_html_e('Select date', WGBL_NAME); ?>">
                            </label>
                        </li>
                    <?php endif; ?>
                </ul>
            </nav>
        </div>
        <div class="wgbl-reports-content">