<?php include WGBL_VIEWS_DIR . "layout/reports_header.php"; ?>
<div class="wgbl-wrap">
    <div class="wgbl-tab-middle-content wgbl-skeleton">
        <div class="wgbl-row">
            <div class="wgbl-col-3">
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-top-boxes">
                    <div class="wgbl-boxes-icon"><i class="lni lni-gift purple"></i></div>
                    <div class="wgbl-boxes-text">
                        <div class="wgbl-widget-title"><strong id="wgbl-reports-dashboard-total-gift-count">0</strong></div>
                        <div class="wgbl-widget-subtitle"><span><?php esc_html_e('Total Gifts No.', WGBL_NAME); ?></span></div>
                    </div>
                </div>
            </div>
            <div class="wgbl-col-3">
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-top-boxes">
                    <div class="wgbl-boxes-icon"><i class="lni lni-users blue"></i></div>
                    <div class="wgbl-boxes-text">
                        <div class="wgbl-widget-title"><strong id="wgbl-reports-dashboard-total-customers">0</strong></div>
                        <div class="wgbl-widget-subtitle"><span><?php esc_html_e('Total Customers No.', WGBL_NAME); ?></span></div>
                    </div>
                </div>
            </div>
            <div class="wgbl-col-3">
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-top-boxes">
                    <div class="wgbl-boxes-icon"><i class="lni lni-layers green"></i></div>
                    <div class="wgbl-boxes-text">
                        <div class="wgbl-widget-title"><strong id="wgbl-reports-dashboard-number-of-used-rule">0</strong></div>
                        <div class="wgbl-widget-subtitle"><span><?php esc_html_e('Used Rule No.', WGBL_NAME); ?></span></div>
                    </div>
                </div>
            </div>
            <div class="wgbl-col-3">
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-top-boxes">
                    <div class="wgbl-boxes-icon"><i class="lni lni-cart-full orange"></i></div>
                    <div class="wgbl-boxes-text">
                        <div class="wgbl-widget-title"><strong id="wgbl-reports-dashboard-number-of-orders">0</strong></div>
                        <div class="wgbl-widget-subtitle"><span><?php esc_html_e('Orders No.', WGBL_NAME); ?></span></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="wgbl-row">
            <div class="wgbl-col-4">
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table wgbl-pt0 wgbl-pr0 wgbl-pl0">
                    <div class="wgbl-chart-filter-buttons" id="wgbl-chart2-buttons">
                        <strong><?php esc_html_e('Top gift', WGBL_NAME); ?></strong>
                        <button type="button" class="chart2-filter-item active" value="product"><?php esc_html_e('Product', WGBL_NAME); ?></button>
                        <button type="button" class="chart2-filter-item" value="category"><?php esc_html_e('Category', WGBL_NAME); ?></button>
                    </div>
                    <div id="amchart2" class="amchart"></div>
                </div>
            </div>
            <div class="wgbl-col-8">
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table wgbl-pt0 wgbl-pr0 wgbl-pl0">
                    <div class="wgbl-chart-filter-buttons" id="wgbl-chart1-buttons">
                        <strong><?php esc_html_e('Gift per', WGBL_NAME); ?></strong>
                        <button type="button" class="chart1-filter-item" value="day"><?php esc_html_e('Day', WGBL_NAME); ?></button>
                        <button type="button" class="chart1-filter-item" value="week"><?php esc_html_e('Week', WGBL_NAME); ?></button>
                        <button type="button" class="chart1-filter-item active" value="month"><?php esc_html_e('Month', WGBL_NAME); ?></button>
                        <button type="button" class="chart1-filter-item" value="year"><?php esc_html_e('Year', WGBL_NAME); ?></button>
                    </div>
                    <div id="amchart1" class="amchart"></div>
                </div>
            </div>
        </div>
        <div class="wgbl-row">
            <div class="wgbl-col-12">
                <strong class="wgbl-section-title"><?php esc_html_e('Recent 10 orders used the gift', WGBL_NAME); ?></strong>
            </div>
            <div class="wgbl-col-12">
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table">
                    <div class="wgbl-table table-responsive">
                        <table class="table table-striped table-bordered" id="wgbl-dashboard-recent-orders-used-gift">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e('Order ID', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Date', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Status', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Rules name', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Gifts', WGBL_NAME); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td colspan="5"><?php esc_html_e('No item', WGBL_NAME); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="wgbl-row">
            <div class="wgbl-col-4">
                <div class="wgbl-col-12">
                    <strong class="wgbl-section-title"><?php esc_html_e('Top 5 methods', WGBL_NAME); ?></strong>
                </div>
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table wgbl-mini-data-grid-box">
                    <div class="wgbl-table">
                        <table class="wgbl-default-table" id="wgbl-dashboard-top-methods">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e('Method', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Count', WGBL_NAME); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td colspan="2"><?php esc_html_e('No item', WGBL_NAME); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="wgbl-col-4">
                <div class="wgbl-col-12">
                    <strong class="wgbl-section-title"><?php esc_html_e('Top 5 rules', WGBL_NAME); ?></strong>
                </div>
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table wgbl-mini-data-grid-box">
                    <div class="wgbl-table">
                        <table class="wgbl-default-table" id="wgbl-dashboard-top-rules">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e('Rule name', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Count', WGBL_NAME); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td colspan="2"><?php esc_html_e('No item', WGBL_NAME); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="wgbl-col-4">
                <div class="wgbl-col-12">
                    <strong class="wgbl-section-title"><?php esc_html_e('Top 5 gifts', WGBL_NAME); ?></strong>
                </div>
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table wgbl-mini-data-grid-box">
                    <div class="wgbl-table">
                        <table class="wgbl-default-table" id="wgbl-dashboard-top-gifts">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e('Gift product', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Count', WGBL_NAME); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td colspan="2"><?php esc_html_e('No item', WGBL_NAME); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="wgbl-row">
            <div class="wgbl-col-4">
                <div class="wgbl-col-12">
                    <strong class="wgbl-section-title"><?php esc_html_e('Top 5 categories', WGBL_NAME); ?></strong>
                </div>
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table wgbl-mini-data-grid-box">
                    <div class="wgbl-table">
                        <table class="wgbl-default-table" id="wgbl-dashboard-top-categories">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e('Category name', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Count', WGBL_NAME); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td colspan="2"><?php esc_html_e('No item', WGBL_NAME); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="wgbl-col-4">
                <div class="wgbl-col-12">
                    <strong class="wgbl-section-title"><?php esc_html_e('Top 5 countries', WGBL_NAME); ?></strong>
                </div>
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table wgbl-mini-data-grid-box">
                    <div class="wgbl-table">
                        <table class="wgbl-default-table" id="wgbl-dashboard-top-countries">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e('Country name', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Count', WGBL_NAME); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td colspan="2"><?php esc_html_e('No item', WGBL_NAME); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="wgbl-col-4">
                <div class="wgbl-col-12">
                    <strong class="wgbl-section-title"><?php esc_html_e('Top 5 states', WGBL_NAME); ?></strong>
                </div>
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table wgbl-mini-data-grid-box">
                    <div class="wgbl-table">
                        <table class="wgbl-default-table" id="wgbl-dashboard-top-states">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e('State name', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Count', WGBL_NAME); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td colspan="2"><?php esc_html_e('No item', WGBL_NAME); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="wgbl-row">
            <div class="wgbl-col-12">
                <strong class="wgbl-section-title"><?php esc_html_e('Recent 10 customers get gift', WGBL_NAME); ?></strong>
            </div>
            <div class="wgbl-col-12">
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table">
                    <div class="wgbl-table table-responsive">
                        <table class="table table-striped table-bordered" id="wgbl-dashboard-recent-customers-get-gift">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e('Email', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Name', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Username', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Used gift', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Order ID', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Date', WGBL_NAME); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td colspan="6"><?php esc_html_e('No item', WGBL_NAME); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="wgbl-row">
            <div class="wgbl-col-12">
                <strong class="wgbl-section-title"><?php esc_html_e('Recent 10 Used gifts', WGBL_NAME); ?></strong>
            </div>
            <div class="wgbl-col-12">
                <div class="wgbl-widget-box wgbl-skeleton-loading wgbl-skeleton-table">
                    <div class="wgbl-table table-responsive">
                        <table class="table table-striped table-bordered" id="wgbl-dashboard-used-gifts">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e('Product name', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Sku', WGBL_NAME); ?></th>
                                    <?php if ($it_brands_is_active) : ?>
                                        <th class="it-product-brands"><?php esc_html_e('Brand', WGBL_NAME); ?></th>
                                    <?php endif; ?>
                                    <th><?php esc_html_e('Category', WGBL_NAME); ?></th>
                                    <th><?php esc_html_e('Count', WGBL_NAME); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td colspan="4"><?php esc_html_e('No item', WGBL_NAME); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include WGBL_VIEWS_DIR . "layout/reports_footer.php"; ?>