<div class="wgbl-wrap">
    <div class="wgbl-tab-middle-content">
        <?php if (!empty($flush_message) && is_array($flush_message) && $flush_message['hash'] == 'rules') : ?>
            <?php include WGBL_VIEWS_DIR . "alerts/flush_message.php"; ?>
        <?php endif; ?>
        <form action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="POST" id="wgbl-rules-form">
            <input type="hidden" name="action" value="wgbl_save_rules">
            <div id="wgbl-rules">
                <?php if (!empty($options_values)) : ?>
                    <script>
                        wgblSetOptionValues(<?php echo json_encode($options_values) ?>);
                    </script>
                <?php endif; ?>
                <?php if (!empty($rules['items'])) : ?>
                    <script>
                        wgblGetRules(<?php echo json_encode($rules['items']) ?>);
                    </script>
                <?php endif; ?>
            </div>
            <div class="wgbl-col-12">
                <p class="wgbl-empty-rules-box" style="<?php echo (!empty($rules)) ? 'display:none' : ''; ?>"><?php esc_html_e("No rules configured.", WGBL_NAME); ?></p>
                <button type="button" class="wgbl-button wgbl-button-blue wgbl-float-right wgbl-add-rule wgbl-mt10"><?php esc_html_e("Add Rule", WGBL_NAME); ?></button>
                <button type="button" class="wgbl-button wgbl-button-blue wgbl-float-left wgbl-mt10" id="wgbl-rules-save-changes"><?php esc_html_e("Save Changes", WGBL_NAME); ?></button>
            </div>
        </form>
    </div>
</div>