"use strict";

function wgblRuleSimpleQuantities(ruleID) {
    wgblDisableQuantitiesItem(ruleID, [
        'quantities-subtotal-amount',
        'quantities-buy',
    ]);
}

function wgblRuleBuyXGetXQuantities(ruleID) {
    wgblDisableQuantitiesItem(ruleID, [
        'quantities-subtotal-amount',
    ]);
}

function wgblRuleBuyXGetYQuantities(ruleID) {
    wgblDisableQuantitiesItem(ruleID, [
        'quantities-subtotal-amount'
    ]);
}

function wgblRuleSubTotalQuantities(ruleID) {
    wgblDisableQuantitiesItem(ruleID, [
        'quantities-buy',
    ]);
}

function wgblDisableQuantitiesItem(ruleID, types) {
    wgblShowAllQuantitiesItem(ruleID);
    if (types) {
        let quantities = jQuery('.wgbl-rule-item[data-id=' + ruleID + '] div[data-type=quantities]');
        types.forEach(function (val) {
            let subtotalType = quantities.find('div[data-type=' + val + ']');
            subtotalType.find('select').prop('disabled', true);
            subtotalType.find('input').prop('disabled', true);
            subtotalType.hide();
        })
    }
}

function wgblShowAllQuantitiesItem(ruleID) {
    let quantities = jQuery('.wgbl-rule-item[data-id=' + ruleID + '] div[data-type=quantities]');
    quantities.find('.wgbl-quantity-item').show();
    quantities.find('input').prop('disabled', false);
    quantities.find('select').prop('disabled', false);
}