<?php

/**
 * Exit if accessed directly
 */
if (!defined('ABSPATH')) {
    exit;
}

//Css Style
wp_enqueue_style('it-gift-style');
//Add Gift jQuery
wp_enqueue_script('pw-gift-add-jquery-adv');


//wp_enqueue_script( 'it-gift-grid-jquery' );
//wp_enqueue_script( "jquery" );

$product_item    = $text_stock_qty = '';
$count_gift      = 0;
$i               = 0;
$page            = 1;
$t               = 1;
$count_rule_gift = array();
$gifts_set       = array();
//give count Gift Selected

$product_item               = $text_stock_qty = '';
$retrieved_group_input_value = WC()->session->get('gift_group_order_data');
$count_info                 = itg_check_quantity_gift_in_session(WC()->session->get('gift_group_order_data'), itg_get_cart_item_quantities_gift_stock());
$insert_div                = false;

$add_gift = get_option('itg_localization_add_gift', 'Add Gift');
$our_gift = get_option('itg_localization_our_gift', 'Our Gift');
$select_gift = get_option('itg_localization_select_gift', 'Select Gift');

foreach ($this->show_gift_item_for_cart as $gift_item_key => $gift) {
    if (isset($gift['auto']) && $gift['auto'] == 'yes') {
        continue;
    }
    $item_hover = 'hovering';
    $disable    = false;

    $flag_count = false;
    if (in_array($gift['method'], array('buy_x_get_x_repeat',), true) && $gift['base_q'] == 'ind') {
        if (array_key_exists($gift_item_key, $retrieved_group_input_value) && $retrieved_group_input_value[$gift_item_key]['q'] >= $this->gift_item_variable['all_gifts'][$gift_item_key]['q']) {
            $flag_count = true;
        }
    } elseif (array_key_exists($gift['uid'], $count_info['count_rule_gift']) && $count_info['count_rule_gift'][$gift['uid']]['q'] >= $gift['pw_number_gift_allowed']) {
        $flag_count = true;
    }

    if ($flag_count) {
        if (isset($gift['disable_if']) && $gift['disable_if'] == 'hide') {
            continue;
        } else {
            $item_hover = 'disable-hover';
        }
    } elseif (in_array($gift['key'], $count_info['gifts_set']) && $gift['can_several_gift'] == 'no') {
        if (isset($gift['disable_if']) && $gift['disable_if'] == 'hide') {
            continue;
        } else {
            $item_hover = 'disable-hover';
        }
    }

    $img_html = $title_html = '';
    $product  = wc_get_product($gift['item']);
    $title    = $product->get_title();
    if ($product->post_type == 'product_variation') {
        $title = $product->get_name();
    }

    $product_type     = $product->get_type();
    $product_variable = false;
    if ($product_type == 'variable') {
        $product_variable = true;
    }

    /**  Check Quantity  **/
    $flag_stock     = 0;
    $text_stock_qty = '';

    $array_return   = itg_quantities_gift_stock($product, $this->product_qty_in_cart, $gift['item'], $product_type, $this->settings, $item_hover);
    $item_hover     = $array_return['item_hover'];
    $text_stock_qty = $array_return['text_stock_qty'];
    $stock_status = $array_return['stock_status'];


    if ($i == 0) {
        $active  = '';
        $display = ' pw-gift-deactive ';
        if ($page == 1) {
            $active  = ' pw-gift-active ';
            $display = '';
        }

        $product_item .= '
			<div class="page_' . esc_attr($page) . ' pw_gift_pagination_div ' . esc_attr($active) . ' ' . esc_attr($display) . '  wgb-item-layout2">
				<div class="wgb-row">';
        $page++;
        $insert_div = true;
    }

    $product_item .= '<div class="' . $this->settings['view_gift_in_cart']['desktop_columns'] . ' ' . $this->settings['view_gift_in_cart']['tablet_columns'] . ' ' . $this->settings['view_gift_in_cart']['mobile_columns'] . ' ' . esc_attr($i) . '" >';
    $product_item .= '
                <div class="wgb-product-item-cnt ' . esc_attr($item_hover) . ' ' . esc_attr($stock_status) . '">
                    <div class="wgb-item-thumb">' . itg_render_product_image($product, false) . '
                    <div class="wgb-item-overlay">' . sprintf("%s", $text_stock_qty) . '</div></div>
                    <div class="wgb-item-content"><h1 class="wgb-item-title font-weight-bold"><a href="' . get_permalink($gift['item']) . '">' . sprintf("%s", $title) . '</a></h1>';
    if ($product_variable) {
        $gift_key = ($item_hover != 'disable-hover') ? $gift['item'] : '';
        $product_item .= '
                                <div class="wgb-add-gift-btn btn-select-gift-button" data-rule-id="' . esc_attr($gift['uid']) . '" data-id="' . esc_attr($gift_key) . '">
                                    <div class="wgb-loading-icon wgb-d-none">
                                        <div class="wgb-spinner wgb-spinner--2"></div>
                                    </div>
                                    <span>' . $select_gift . '</span>	
                                </div>';
    } else {
        $gift_key = ($item_hover != 'disable-hover') ? $gift['key'] : '';
        $product_item .= '
                                <div class="wgb-add-gift-btn btn-add-gift-button" data-id="' . esc_attr($gift_key) . '">
                                    <div class="wgb-loading-icon wgb-d-none">
                                        <div class="wgb-spinner wgb-spinner--2"></div>
                                    </div>
                                    <span>' . $add_gift . '</span>
                                </div>';
    }

    $product_item .= '
        		</div>
			</div>
		</div>';

    $i++;
    if ($i == $this->settings['view_gift_in_cart']['number_per_page'] || (count($this->show_gift_item_for_cart) == $t && $insert_div == true)) {
        $insert_div  = false;
        $product_item .= '</div></div>';
        $i = 0;
    }
    $t++;
}

if ($product_item == '') {
    return;
}
?>
<div class="adv-gift-section  wgb-frontend-gifts">
    <div class="wgb-header-cnt">
        <h2 class="wgb-title text-capitalize font-weight-bold"><?php echo wp_kses_post($our_gift); ?></h2>
    </div>

    <?php
    $btn = '';
    $current_page = 1;
    $max_num_pages = intval($page) - 1;
    $max_display = 3;
    if ($page > 2) {
        $btn = '<div class="wgb-pagination-cnt"><input type="hidden" id="wgb-cart-pagination-max-num-pages" value="' . $max_num_pages . '"><div class="wgb-paging-item">';
        $btn .= '<span>' . esc_html__('Page', WGBL_NAME) . ' <strong id="wgb-cart-pagination-current-page">' . $current_page . '</strong> ' . esc_html__('of', WGBL_NAME) . ' ' . esc_html($max_num_pages) . '</span>';
        $btn .= '<div class="wgb-pages"></div>';
        $btn .= '</div></div></div>';
    }
    ?>

    <div class="wgb-grid-cnt">
        <?php echo wp_kses_post($product_item); ?>
    </div>
    <?php echo wp_kses_post($btn); ?>
</div>

<script type="text/javascript">
    jQuery(document).ready(function($) {
        function pagination_gifts(selectedPage) {
            paginationInit($('.wgb-paging-item .wgb-pages'), selectedPage, $('#wgb-cart-pagination-max-num-pages').val());
            $('#wgb-cart-pagination-current-page').text(selectedPage);
            var selected_page = "page_" + selectedPage;
            $(".wgb-frontend-gifts").find(".0").addClass("pw-gift-active");

            $(".wgb-frontend-gifts").find(".pw_gift_pagination_num").click(function(e) {
                e.preventDefault();
                $(".wgb-frontend-gifts").find("." + selected_page).addClass("pw-gift-deactive");
                var page = $(this).attr("data-page-id");
                $(".wgb-frontend-gifts").find("." + page).siblings(".pw_gift_pagination_div").removeClass("pw-gift-active");
                $(".wgb-frontend-gifts").find("." + page).addClass("pw-gift-active");
                $(".wgb-frontend-gifts").find("." + page).removeClass("pw-gift-deactive");
                $(".wgb-frontend-gifts").find(this).parents(".wgb-paging-item").find(".pw_gift_pagination_num").removeClass("wgb-active-page");
                $(".wgb-frontend-gifts").find(this).addClass("wgb-active-page");
                selected_page = page;
                pagination_gifts($(this).attr('data-page-id').replace('page_', ''));
            });
        }

        pagination_gifts(1);

        $(".woocommerce-cart-form").find(".button").click(function() {
            $(document).ajaxStop(function() {
                pagination_gifts(1);
            });
        });

        $(".product-remove").on("click", function() {
            $(document).ajaxStop(function() {
                pagination_gifts(1);
            });
        });
    });
</script>