<?php

if (!empty($condition_item['type'])) :
?>
    <div class="wgbl-rule-item-sortable-item" data-id="<?php echo sanitize_text_field($condition_id); ?>">
        <button type="button" class="wgbl-rule-item-condition-sortable-btn wgbl-button-tr wgbl-float-left"><i class="dashicons dashicons-menu"></i></button>
        <div class="wgbl-w20p">
            <div class="wgbl-form-group">
                <select name="rule[<?php echo sanitize_text_field($rule_id); ?>][condition][<?php echo sanitize_text_field($condition_id); ?>][type]" class="wgbl-rule-condition-item wgbl-select2-grouped" data-type="select2">
                    <optgroup label="<?php esc_html_e('Date & Times', WGBL_NAME); ?>">
                        <option value="date" <?php echo ($condition_item['type'] == 'date') ? 'selected' : ''; ?>><?php esc_html_e('Date', WGBL_NAME); ?></option>
                        <option value="time" <?php echo ($condition_item['type'] == 'time') ? 'selected' : ''; ?>><?php esc_html_e('Time', WGBL_NAME); ?></option>
                        <option value="date_time" <?php echo ($condition_item['type'] == 'date_time') ? 'selected' : ''; ?>><?php esc_html_e('Date & Time', WGBL_NAME); ?></option>
                        <option value="days_of_week" <?php echo ($condition_item['type'] == 'days_of_week') ? 'selected' : ''; ?>><?php esc_html_e('Days of week', WGBL_NAME); ?></option>
                    </optgroup>
                    <optgroup label="<?php esc_html_e('Cart - Pro version', WGBL_NAME); ?>">
                        <option value="cart_subtotal" <?php echo ($condition_item['type'] == 'cart_subtotal') ? 'selected' : ''; ?>><?php esc_html_e('Cart subtotal', WGBL_NAME); ?></option>
                        <option value="cart_total_weight" <?php echo ($condition_item['type'] == 'cart_total_weight') ? 'selected' : ''; ?>><?php esc_html_e('Cart total weight', WGBL_NAME); ?></option>
                        <option value="cart_total_quantity" <?php echo ($condition_item['type'] == 'cart_total_quantity') ? 'selected' : ''; ?>><?php esc_html_e('Cart Total Quantity', WGBL_NAME); ?></option>
                        <option value="cart_item_count" <?php echo ($condition_item['type'] == 'cart_item_count') ? 'selected' : ''; ?>><?php esc_html_e('Cart item count', WGBL_NAME); ?></option>
                        <option value="coupons_applied" <?php echo ($condition_item['type'] == 'coupons_applied') ? 'selected' : ''; ?>><?php esc_html_e('Coupons applied', WGBL_NAME); ?></option>
                    </optgroup>
                    <optgroup label="<?php esc_html_e('Cart Items - Pro version', WGBL_NAME); ?>">
                        <option value="cart_items_products" <?php echo ($condition_item['type'] == 'cart_items_products') ? 'selected' : ''; ?>><?php esc_html_e('Cart items - Products', WGBL_NAME); ?></option>
                        <option value="cart_items_variations" <?php echo ($condition_item['type'] == 'cart_items_variations') ? 'selected' : ''; ?>><?php esc_html_e('Cart items - Variations', WGBL_NAME); ?></option>
                        <option value="cart_items_categories" <?php echo ($condition_item['type'] == 'cart_items_categories') ? 'selected' : ''; ?>><?php esc_html_e('Cart items - Categories', WGBL_NAME); ?></option>
                        <option value="cart_items_attributes" <?php echo ($condition_item['type'] == 'cart_items_attributes') ? 'selected' : ''; ?>><?php esc_html_e('Cart items - Attributes', WGBL_NAME); ?></option>
                        <option value="cart_items_tags" <?php echo ($condition_item['type'] == 'cart_items_tags') ? 'selected' : ''; ?>><?php esc_html_e('Cart items - Tags', WGBL_NAME); ?></option>
                        <option value="cart_items_shipping_classes" <?php echo ($condition_item['type'] == 'cart_items_shipping_classes') ? 'selected' : ''; ?>><?php esc_html_e('Cart items - Shipping Classes', WGBL_NAME); ?></option>
                    </optgroup>
                    <optgroup label="<?php esc_html_e('Cart Items - Quantity - Pro version', WGBL_NAME); ?>">
                        <option value="cart_item_quantity_products" <?php echo ($condition_item['type'] == 'cart_item_quantity_products') ? 'selected' : ''; ?>><?php esc_html_e('Cart item quantity - Products', WGBL_NAME); ?></option>
                        <option value="cart_item_quantity_variations" <?php echo ($condition_item['type'] == 'cart_item_quantity_variations') ? 'selected' : ''; ?>><?php esc_html_e('Cart item quantity - Variations', WGBL_NAME); ?></option>
                        <option value="cart_item_quantity_categories" <?php echo ($condition_item['type'] == 'cart_item_quantity_categories') ? 'selected' : ''; ?>><?php esc_html_e('Cart item quantity - Categories', WGBL_NAME); ?></option>
                        <option value="cart_item_quantity_attributes" <?php echo ($condition_item['type'] == 'cart_item_quantity_attributes') ? 'selected' : ''; ?>><?php esc_html_e('Cart item quantity - Attributes', WGBL_NAME); ?></option>
                        <option value="cart_item_quantity_tags" <?php echo ($condition_item['type'] == 'cart_item_quantity_tags') ? 'selected' : ''; ?>><?php esc_html_e('Cart item quantity - Tags', WGBL_NAME); ?></option>
                        <option value="cart_item_quantity_shipping_classes" <?php echo ($condition_item['type'] == 'cart_item_quantity_shipping_classes') ? 'selected' : ''; ?>><?php esc_html_e('Cart item quantity - Shipping Classes', WGBL_NAME); ?></option>
                    </optgroup>
                    <optgroup label="<?php esc_html_e('Cart Items - Subtotal - Pro version', WGBL_NAME); ?>">
                        <option value="cart_item_subtotal_products" <?php echo ($condition_item['type'] == 'cart_item_subtotal_products') ? 'selected' : ''; ?>><?php esc_html_e('Cart item subtotal - Products', WGBL_NAME); ?></option>
                        <option value="cart_item_subtotal_variations" <?php echo ($condition_item['type'] == 'cart_item_subtotal_variations') ? 'selected' : ''; ?>><?php esc_html_e('Cart item subtotal - Variations', WGBL_NAME); ?></option>
                        <option value="cart_item_subtotal_categories" <?php echo ($condition_item['type'] == 'cart_item_subtotal_categories') ? 'selected' : ''; ?>><?php esc_html_e('Cart item subtotal - Categories', WGBL_NAME); ?></option>
                        <option value="cart_item_subtotal_attributes" <?php echo ($condition_item['type'] == 'cart_item_subtotal_attributes') ? 'selected' : ''; ?>><?php esc_html_e('Cart item subtotal - Attributes', WGBL_NAME); ?></option>
                        <option value="cart_item_subtotal_tags" <?php echo ($condition_item['type'] == 'cart_item_subtotal_tags') ? 'selected' : ''; ?>><?php esc_html_e('Cart item subtotal - Tags', WGBL_NAME); ?></option>
                        <option value="cart_item_subtotal_shipping_classes" <?php echo ($condition_item['type'] == 'cart_item_subtotal_shipping_classes') ? 'selected' : ''; ?>><?php esc_html_e('Cart item subtotal - Shipping Classes', WGBL_NAME); ?></option>
                    </optgroup>
                    <optgroup label="<?php esc_html_e('Customer - Pro version', WGBL_NAME); ?>">
                        <option value="customer" <?php echo ($condition_item['type'] == 'customer') ? 'selected' : ''; ?>><?php esc_html_e('Customer', WGBL_NAME); ?></option>
                        <option value="user_role" <?php echo ($condition_item['type'] == 'user_role') ? 'selected' : ''; ?>><?php esc_html_e('User role', WGBL_NAME); ?></option>
                        <option value="user_capability" <?php echo ($condition_item['type'] == 'user_capability') ? 'selected' : ''; ?>><?php esc_html_e('User Capability', WGBL_NAME); ?></option>
                        <option value="user_meta" <?php echo ($condition_item['type'] == 'user_meta') ? 'selected' : ''; ?>><?php esc_html_e('User Meta', WGBL_NAME); ?></option>
                        <option value="is_logged_in" <?php echo ($condition_item['type'] == 'is_logged_in') ? 'selected' : ''; ?>><?php esc_html_e('Is logged in', WGBL_NAME); ?></option>
                    </optgroup>
                    <optgroup label="<?php esc_html_e('Customer - Value - Pro version', WGBL_NAME); ?>">
                        <option value="spent_total" <?php echo ($condition_item['type'] == 'spent_total') ? 'selected' : ''; ?>><?php esc_html_e('Spent - Total', WGBL_NAME); ?></option>
                        <option value="spent_average_per_order" <?php echo ($condition_item['type'] == 'spent_average_per_order') ? 'selected' : ''; ?>><?php esc_html_e('Spent - Average per order', WGBL_NAME); ?></option>
                        <option value="spent_last_order" <?php echo ($condition_item['type'] == 'spent_last_order') ? 'selected' : ''; ?>><?php esc_html_e('Spent - Last order', WGBL_NAME); ?></option>
                        <option value="order_count" <?php echo ($condition_item['type'] == 'order_count') ? 'selected' : ''; ?>><?php esc_html_e('Order count', WGBL_NAME); ?></option>
                        <option value="last_order" <?php echo ($condition_item['type'] == 'last_order') ? 'selected' : ''; ?>><?php esc_html_e('Last Order', WGBL_NAME); ?></option>
                        <option value="customer_review_count" <?php echo ($condition_item['type'] == 'customer_review_count') ? 'selected' : ''; ?>><?php esc_html_e('Customer review count', WGBL_NAME); ?></option>
                    </optgroup>
                    <optgroup label="<?php esc_html_e('Purchase History - Pro version', WGBL_NAME); ?>">
                        <option value="purchased_products" <?php echo ($condition_item['type'] == 'purchased_products') ? 'selected' : ''; ?>><?php esc_html_e('Purchased - Products', WGBL_NAME); ?></option>
                        <option value="purchased_variations" <?php echo ($condition_item['type'] == 'purchased_variations') ? 'selected' : ''; ?>><?php esc_html_e('Purchased - Variations', WGBL_NAME); ?></option>
                        <option value="purchased_categories" <?php echo ($condition_item['type'] == 'purchased_categories') ? 'selected' : ''; ?>><?php esc_html_e('Purchased - Categories', WGBL_NAME); ?></option>
                        <option value="purchased_attributes" <?php echo ($condition_item['type'] == 'purchased_attributes') ? 'selected' : ''; ?>><?php esc_html_e('Purchased - Attributes', WGBL_NAME); ?></option>
                        <option value="purchased_tags" <?php echo ($condition_item['type'] == 'purchased_tags') ? 'selected' : ''; ?>><?php esc_html_e('Purchased - Tags', WGBL_NAME); ?></option>
                    </optgroup>
                    <optgroup label="<?php esc_html_e('Purchase History - Quantity - Pro version', WGBL_NAME); ?>">
                        <option value="quantity_purchased_products" <?php echo ($condition_item['type'] == 'quantity_purchased_products') ? 'selected' : ''; ?>><?php esc_html_e('Quantity purchased - Products', WGBL_NAME); ?></option>
                        <option value="quantity_purchased_variations" <?php echo ($condition_item['type'] == 'quantity_purchased_variations') ? 'selected' : ''; ?>><?php esc_html_e('Quantity purchased - Variations', WGBL_NAME); ?></option>
                        <option value="quantity_purchased_categories" <?php echo ($condition_item['type'] == 'quantity_purchased_categories') ? 'selected' : ''; ?>><?php esc_html_e('Quantity purchased - Categories', WGBL_NAME); ?></option>
                        <option value="quantity_purchased_attributes" <?php echo ($condition_item['type'] == 'quantity_purchased_attributes') ? 'selected' : ''; ?>><?php esc_html_e('Quantity purchased - Attributes', WGBL_NAME); ?></option>
                        <option value="quantity_purchased_tags" <?php echo ($condition_item['type'] == 'quantity_purchased_tags') ? 'selected' : ''; ?>><?php esc_html_e('Quantity purchased - Tags', WGBL_NAME); ?></option>
                    </optgroup>
                    <optgroup label="<?php esc_html_e('Purchase History - Value - Pro version', WGBL_NAME); ?>">
                        <option value="value_purchased_products" <?php echo ($condition_item['type'] == 'value_purchased_products') ? 'selected' : ''; ?>><?php esc_html_e('Value purchased - Products', WGBL_NAME); ?></option>
                        <option value="value_purchased_variations" <?php echo ($condition_item['type'] == 'value_purchased_variations') ? 'selected' : ''; ?>><?php esc_html_e('Value purchased - Variations', WGBL_NAME); ?></option>
                        <option value="value_purchased_categories" <?php echo ($condition_item['type'] == 'value_purchased_categories') ? 'selected' : ''; ?>><?php esc_html_e('Value purchased - Categories', WGBL_NAME); ?></option>
                        <option value="value_purchased_attributes" <?php echo ($condition_item['type'] == 'value_purchased_attributes') ? 'selected' : ''; ?>><?php esc_html_e('Value purchased - Attributes', WGBL_NAME); ?></option>
                        <option value="value_purchased_tags" <?php echo ($condition_item['type'] == 'value_purchased_tags') ? 'selected' : ''; ?>><?php esc_html_e('Value purchased - Tags', WGBL_NAME); ?></option>
                    </optgroup>
                </select>
            </div>
        </div>
        <div class="wgbl-condition-extra-fields">
            <?php include WGBL_VIEWS_DIR . 'rules/conditions/extra-field.php'; ?>
        </div>
        <button type="button" class="wgbl-button-tr wgbl-float-right wgbl-condition-delete"><i class="dashicons dashicons-no-alt"></i></button>
    </div>
<?php endif; ?>