<div class="wgbl-wrap">
    <div class="wgbl-tab-middle-content">
        <?php
        include_once WGBL_VIEWS_DIR . 'setting/tabs.php';
        if (!empty($flush_message) && is_array($flush_message) && $flush_message['hash'] == 'settings') {
            include WGBL_VIEWS_DIR . "alerts/flush_message.php";
        }
        ?>
        <form action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="POST">
            <input type="hidden" name="action" value="wgbl_save_settings_localization">
            <div id="wgbl-settings" class="wgbl-col-12">
                <div class="wgbl-form-group">
                    <label><?php esc_html_e('Our Gift', WGBL_NAME); ?></label>
                    <input type="text" placeholder="<?php esc_html_e('Our Gift', WGBL_NAME); ?> ..." name="localization[our_gift]" value="<?php echo (isset($localization['itg_localization_our_gift'])) ? sanitize_text_field($localization['itg_localization_our_gift']) : 'Our Gift' ?>">
                </div>
                <div class="wgbl-form-group">
                    <label><?php esc_html_e('Add Gift', WGBL_NAME); ?></label>
                    <input type="text" placeholder="<?php esc_html_e('Our Gift', WGBL_NAME); ?> ..." name="localization[add_gift]" value="<?php echo (isset($localization['itg_localization_add_gift'])) ? sanitize_text_field($localization['itg_localization_add_gift']) : 'Add Gift' ?>">
                </div>
                <div class="wgbl-form-group">
                    <label><?php esc_html_e('Select Gift', WGBL_NAME); ?></label>
                    <input type="text" placeholder="<?php esc_html_e('Select Gift', WGBL_NAME); ?> ..." name="localization[select_gift]" value="<?php echo (isset($localization['itg_localization_select_gift'])) ? sanitize_text_field($localization['itg_localization_select_gift']) : 'Select Gift' ?>">
                </div>
            </div>
            <div class="wgbl-col-12">
                <button type="submit" class="wgbl-button wgbl-button-blue wgbl-float-left wgbl-mt10"><?php esc_html_e("Save Changes", WGBL_NAME); ?></button>
            </div>
        </form>
    </div>
</div>
</div>